body {
  background-color: black;
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
}

.main-container {
  max-width: 600px;
  width: 100%;
  height: 100vh;
  margin: 0 auto;
  background-image: url("../image/bg.jpg");
  background-repeat: no-repeat;
  background-size: 100% auto;
  background-position: top center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.child-container {
  flex: 1;
  width: 100%;
  box-sizing: border-box;
}

.btn-142 {
  --BG_color: #ffffff;
  --color: #000000;
  width: 300px;
  height: 70px;
  border: none;
  color: var(--color);
  position: relative;
  font-weight: bold;
  font-size: 20px;
  transition-duration: 0.2s;
  background: none;
  font-family: Arial, Helvetica, sans-serif;
  cursor: pointer;
  text-decoration: none;
  user-select: none;
  padding: 2px;
  z-index: 1;
  display: inline-flex;
  justify-content: center;
  align-items: center;
}

.btn-142 span {
  display: flex;
  width: 100%;
  height: 100%;
  justify-content: center;
  align-items: center;
  position: relative;
  z-index: 11;
  background: red;
  border-radius: 20px;
}

.btn-142:before,
.btn-142:after {
  content: "";
  position: absolute;
  left: -2px;
  top: -2px;
  border-radius: 20px;
  background: linear-gradient(
    45deg,
    #fb0094,
    #0000ff,
    #00ff00,
    #ffff00,
    #ff0000,
    #fb0094,
    #0000ff,
    #00ff00,
    #ffff00,
    #ff0000
  );
  background-size: 400%;
  width: calc(100% + 4px);
  height: calc(100% + 4px);
  z-index: -1;
  animation: move_142 20s linear infinite;
}

@keyframes move_142 {
  0% {
    background-position: 0 0;
  }

  50% {
    background-position: 400% 0;
  }

  100% {
    background-position: 0 0;
  }
}

.btn-142:after {
  filter: blur(50px);
}

/*** disabled style ***/
.btn-142:disabled {
  pointer-events: none;
  opacity: 0.65;
  color: #7e7e7e;
  background: #dcdcdc;
  text-shadow: none;
  box-shadow: none;
}

.btn-142:disabled:before,
.btn-142:disabled:after {
  background: #dcdcdc;
  animation: none;
}

/*** dark mode ***/
html.dark-mode .btn-142 {
  --BG_color: #000000;
  --color: #ffffff;
}
